using Upsilon.BaseTypes;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundVariableSymbol : BoundExpression
    {
        public BoundVariableSymbol(VariableSymbol variableSymbol, TextSpan span) : base(span)
        {
            VariableSymbol = variableSymbol;
        }

        public VariableSymbol VariableSymbol { get; }
        public override BoundKind Kind => BoundKind.BoundVariableSymbol;
        public override BoundNode GetNodeAtPosition(int characterPosition)
        {
            return this;
        }

        public override Type Type => VariableSymbol.Type;
    }
}