namespace Upsilon.BaseTypes
{
    internal class ScriptNull : ScriptType
    {
        public override Type Type => Type.Nil;
        public override object ToCSharpObject()
        {
            return null;
        }

        public override System.Type GetCSharpType()
        {
            return null;
        }

        public override string ToString()
        {
            return "null";
        }
    }
}