using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundBreakStatement : BoundStatement
    {
        public BoundBreakStatement(TextSpan span) : base(span)
        {
        }

        public override BoundKind Kind => BoundKind.BoundBreakStatement;
        public override BoundNode GetNodeAtPosition(int characterPosition)
        {
            if (characterPosition >= Span.Start && characterPosition <= Span.End)
                return this;
            return null;
        }
    }
}