using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public class BoundScript : BoundStatement
    {
        public BoundScript(BoundBlockStatement statement, TextSpan span) : base(span)
        {
            Statement = statement;
        }

        public override BoundKind Kind => BoundKind.BoundScript;
        public override BoundNode GetNodeAtPosition(int characterPosition)
        {
            return Statement.GetNodeAtPosition(characterPosition);
        }

        public BoundBlockStatement Statement { get; }
    }
}